Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
hash_foreach_arg Struct Reference

## Data Fields
FBuffer * | buffer
JSON_Generator_State * | state
VALUE | Vstate
int | iter
VALUE | hash
rb_foreach_func * | func
VALUE | arg

## Detailed Description

Definition at line 722 of file generator.c.

## Field Documentation

## ◆ arg

VALUE hash_foreach_arg::arg

Definition at line 1289 of file hash.c.

## ◆ buffer

FBuffer* hash_foreach_arg::buffer

Definition at line 723 of file generator.c.

## ◆ func

rb_foreach_func* hash_foreach_arg::func

Definition at line 1288 of file hash.c.

## ◆ hash

VALUE hash_foreach_arg::hash

Definition at line 1287 of file hash.c.

## ◆ iter

int hash_foreach_arg::iter

Definition at line 726 of file generator.c.

## ◆ state

JSON_Generator_State* hash_foreach_arg::state

Definition at line 724 of file generator.c.

## ◆ Vstate

VALUE hash_foreach_arg::Vstate

Definition at line 725 of file generator.c.

The documentation for this struct was generated from the following files:

- ext/json/generator/generator.c
- hash.c